org.eclipse.wst.jsdt.chromium.debug.ui

## Class DialogUtils.ValueProcessor<T>

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.ui.DialogUtils.ValueProcessor<T>

All Implemented Interfaces:
  DialogUtils.Gettable<T>, DialogUtils.ValueConsumer, DialogUtils.ValueSource<T>

Direct Known Subclasses:
  DialogUtils.ExpressionProcessor

Enclosing class:
  DialogUtils

    public abstract static class DialogUtils.ValueProcessor<T>
    extends java.lang.Object
    implements DialogUtils.ValueConsumer, DialogUtils.ValueSource<T>

A basic implementation of object that is both consumer and source. Updater will treat as 2 separate objects.

### Constructor Summary

Constructors
Constructor and Description
`ValueProcessor()`

### Method Summary

All Methods Instance Methods Concrete Methods
`T` `getValue()` Method is not used by updater, for convenience only.
`protected void` `setCurrentValue(T currentValue)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.wst.jsdt.chromium.debug.ui.DialogUtils.ValueConsumer

`update`

### Constructor Detail

#### ValueProcessor

    public ValueProcessor()

### Method Detail

#### getValue

    public T getValue()

Description copied from interface: `DialogUtils.ValueSource`
Method is not used by updater, for convenience only.

Specified by:
  `getValue` in interface `DialogUtils.Gettable<T>`
Specified by:
  `getValue` in interface `DialogUtils.ValueSource<T>`
Returns:
  current value of the vertex

#### setCurrentValue

    protected void setCurrentValue(T currentValue)